package com.example.fcm;

import android.content.Context;
import android.os.Build;
import android.os.VibrationEffect;
import android.os.Vibrator;
import android.util.Log;

import androidx.appcompat.app.AppCompatActivity;


public class Vibration extends AppCompatActivity {

    public void triggerVibration(int level, int delay, int duration) throws InterruptedException {
        Log.i("Vibration","triggerVibration");
        Log.i("Vibration","level:" + level);
        Log.i("Vibration","delay:" + delay);
        Log.i("Vibration","duration:" + duration);
        Vibrator a = (Vibrator) getSystemService(Context.VIBRATOR_SERVICE);
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {
            try {
                Thread.sleep(delay);
            } catch(InterruptedException ex){
                Thread.currentThread().interrupt();
            }
            a.vibrate(VibrationEffect.createOneShot(duration, level));
        } else {
            //deprecated in API 26
            a.vibrate(2000);
        }
    }


}
